## org.apache.commons.collections
Class BufferOverflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.collections.BufferOverflowException

All Implemented Interfaces:
  Serializable

public class BufferOverflowException
extends RuntimeException

The BufferOverflowException is used when the buffer's capacity has been exceeded.

Since:
  Commons Collections 2.1
Version:
  $Revision: 1.9 $ $Date: 2004/02/18 01:15:42 $
Author:
  Avalon, Berin Loritsch, Jeff Turner, Paul Jack, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`BufferOverflowException()` Constructs a new `BufferOverflowException`.
`BufferOverflowException(String message)` Construct a new `BufferOverflowException`.
`BufferOverflowException(String message, Throwable exception)` Construct a new `BufferOverflowException`.

Method Summary
`Throwable` `getCause()` Gets the root cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferOverflowException

    public BufferOverflowException()

  Constructs a new `BufferOverflowException`.

### BufferOverflowException

    public BufferOverflowException(String message)

  Construct a new `BufferOverflowException`.

Parameters:
  `message` - the detail message for this exception

### BufferOverflowException

    public BufferOverflowException(String message,
                                   Throwable exception)

  Construct a new `BufferOverflowException`.

Parameters:
  `message` - the detail message for this exception
  `exception` - the root cause of the exception

Method Detail

### getCause

    public final Throwable getCause()

  Gets the root cause of the exception.

  Returns:
    the root cause

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.